Notifly
API ReferenceContexts

Create a context

Create a new context with the specified type, id, and data. Returns 409 if context already exists. **type** and **id** are required fields, **data** is optional, if the context already exists, it returns the 409 response

POST
/v2/contexts

Create a new context with the specified type, id, and data. Returns 409 if context already exists. type and id are required fields, data is optional, if the context already exists, it returns the 409 response

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/contexts" \  -H "Content-Type: application/json" \  -d '{    "type": "tenant",    "id": "org-acme"  }'
{  "data": {    "type": "string",    "id": "string",    "data": {},    "createdAt": "string",    "updatedAt": "string"  }}